Module ij
Package ij.measure

# Interface UserFunction

All Known Implementing Classes:
  `CurveFitter`

public interface UserFunction
A plugin should implement this interface for minimizing a single-valued function or fitting a curve with a custom fit function.

## Method Summary

Modifier and Type
Method
Description
`double`
`userFunction(double[] params, double x)`
A user-supplied function

## Method Details

### userFunction

double userFunction(double[] params, double x)
A user-supplied function

Parameters:
  `params` - When minimizing, array of variables. For curve fit array of fit parameters. The array contents should not be modified. Note that the function can get an array with more elements then needed to specify the parameters. Ignore the rest (and don't modify them).
  `x` - For a fit function, the independent variable of the function. Ignore it when using the minimizer.
Returns:
  The result of the function.